net.sf.jasperreports.engine.export.oasis

## Class BorderStyle

- java.lang.Object
- - net.sf.jasperreports.engine.export.oasis.Style
  - - net.sf.jasperreports.engine.export.oasis.BorderStyle

- Direct Known Subclasses:
    CellStyle, FrameStyle

      public abstract class BorderStyle
      extends Style

  Version:
    $Id: BorderStyle.java 5891 2013-01-15 15:33:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `BOTTOM_BORDER`
    `protected static int` | `LEFT_BORDER`
    `protected static int` | `RIGHT_BORDER`
    `protected static int` | `TOP_BORDER`

    - ### Fields inherited from class net.sf.jasperreports.engine.export.oasis.Style

      `styleWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BorderStyle(WriterHelper styleWriter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()`
    `void` | `setBox(JRLineBox box)`
    `void` | `setPen(JRPen pen)`
    `protected void` | `writeBorder(int side)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.oasis.Style

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOP_BORDER

          protected static final int TOP_BORDER

      See Also:
        Constant Field Values

    - #### LEFT_BORDER

          protected static final int LEFT_BORDER

      See Also:
        Constant Field Values

    - #### BOTTOM_BORDER

          protected static final int BOTTOM_BORDER

      See Also:
        Constant Field Values

    - #### RIGHT_BORDER

          protected static final int RIGHT_BORDER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BorderStyle

          public BorderStyle(WriterHelper styleWriter)

  - ### Method Detail

    - #### setBox

          public void setBox(JRLineBox box)

    - #### setPen

          public void setPen(JRPen pen)

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in class `Style`

    - #### writeBorder

          protected void writeBorder(int side)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com